<?php
// ***************************************************************************
// *   session.php - session kezelo fuggvenyek                               *
// *-------------------------------------------------------------------------*
// *   copyright  : (C) 2001 Erno Rigo                                       *
// *   email      :          mcree@freemail.hu                               *
// ***************************************************************************
//
// ***************************************************************************
// *                                                                         *
// *   This product includes PHP, freely available from http://www.php.net   *
// *                                                                         *
// *   This program is free software. Redistribution and use in source and   *
// *   binary forms, with or without modification is possible under the      *
// *   terms of the PHP License, version 2.02 published by the PHP Group.    *
// *                                                                         *
// *   This software consists of voluntary contributions made by many        *
// *   individuals on behalf of the PHP Group.                               *
// *                                                                         *
// ***************************************************************************
//
// DEVELOPMENT HISTORY:
//
// Mon Nov 12 17:09:16 2001
//	letrehoztam - Rigo Erno
//
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

    require_once("GLOBALS.php");

    //
    // Session kezelo fuggveny
    //
    function sess() {
	global	$PHPSESSID,		// php session ID
		$SESS_SKINPATH,		// az aktualis skin eleresi utvonala
		$SESS_CURRGROUP,	// a contact list jelenleg kivalasztott csoportja
		$SESS_MESSAGE,		// melyik uzenet (email) az aktualis
		$SESS_MAILBOX,		// melyik mailbox az aktualis
		$SESS_USERNAME,		// felhasznaloi nev
		$SESS_USERID,		// felhasznaloi id
		$SESS_PASSWORD,		// jelszo
		$SESS_MAIL,		// az email amit ir, reszeibol osszerakva, objektum
		$SESS_MSGNFO_CACHE,	// message info cache
		$SESS_MBOXSTAT_CACHE,	// Mailbox status cache a gyorsabb mukodes erdekeben
		$SESS_SHOWBODY;		// melyik body-t kell megjeleniteni

	session_start();

	session_register("SESS_USERNAME");
	session_register("SESS_USERID");
	session_register("SESS_PASSWORD");
	session_register("SESS_SHOWBODY");
	session_register("SESS_MESSAGE");
	session_register("SESS_MAILBOX");
	session_register("SESS_MAIL");
	session_register("SESS_SKINPATH");
	session_register("SESS_MBOXSTAT_CACHE");
	session_register("SESS_MSGNFO_CACHE");
	session_register("SESS_CURRGROUP");
	
    };


?>
