<?php
// ***************************************************************************
// *   mailbox.php - level olvaso felulet                                    *
// *-------------------------------------------------------------------------*
// *   copyright  : (C) 2001 Erno Rigo                                       *
// *   email      :          mcree@freemail.hu                               *
// ***************************************************************************
//
// ***************************************************************************
// *                                                                         *
// *   This product includes PHP, freely available from http://www.php.net   *
// *                                                                         *
// *   This program is free software. Redistribution and use in source and   *
// *   binary forms, with or without modification is possible under the      *
// *   terms of the PHP License, version 2.02 published by the PHP Group.    *
// *                                                                         *
// *   This software consists of voluntary contributions made by many        *
// *   individuals on behalf of the PHP Group.                               *
// *                                                                         *
// ***************************************************************************
//
// DEVELOPMENT HISTORY:
//
// Fri Nov 9 18:17:38 2001
//	letrehoztam - Rigo Erno
//
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

    require_once("imap.php");
    require_once("msgaction.php");
    
    function mailbox() {
        global	$POST_MAILSEL,		// kivalasztott levelek tombje
		$POST_TOINBOX,		// direkt link az inboxra
		$SESS_USERID,		// user id
		$SESS_USERNAME,		// akt. felhasznalo neve
		$SESS_MAILBOX;		// mailbox
	
	if(isset($POST_TOINBOX)) $SESS_MAILBOX="mbox";
	
	$mbox=openmbox(); // mailbox menyitasa
	
	$msgaction=msgaction();		// ha csinalt valamit a levelekkel, hat csinalja, az akcio gombsort is ez adja vissza
	
	// az osszes level fejlecet listazzuk datum szerint csokkeno sorrendben
	foreach(imap_sort($mbox,SORTDATE,1,0) as $msgno) {
	    $nfo=msg_info($mbox,$msgno);
	    if($nfo->unseen) {
		$skin="skin_mailbox_msglist_body_unseen.html";
	    } else {
		$skin="skin_mailbox_msglist_body.html";
	    };
	    $mails.=readskin(	array("|MAIL_FROM|","|MAIL_SUBJECT|","|MAIL_DATE|","|MAIL_NUM|","|MAIL_SIZE|"),
				array($nfo->from_plain,$nfo->subject,$nfo->date,$msgno,byte2str($nfo->size)),
				$skin);
	};
	$mails=readskin(array("|BODY|","|MSGACTION|"),array($mails,$msgaction),"skin_mailbox_msglist.html");
	
	$nfo=mboxstat($SESS_MAILBOX,true);

	return readskin(array("|MAILS|","|NAME|","|NMSGS|","|UNSEEN|","|SIZE|"),
			array($mails,$nfo->name,$nfo->nmsgs,$nfo->unseen,byte2str($nfo->size)),
			"skin_mailbox.html");
    };

?>
