<?php
// ***************************************************************************
// *   msgaction.php - muveletek levelekkel                                  *
// *-------------------------------------------------------------------------*
// *   copyright  : (C) 2001 Erno Rigo                                       *
// *   email      :          mcree@freemail.hu                               *
// ***************************************************************************
//
// ***************************************************************************
// *                                                                         *
// *   This product includes PHP, freely available from http://www.php.net   *
// *                                                                         *
// *   This program is free software. Redistribution and use in source and   *
// *   binary forms, with or without modification is possible under the      *
// *   terms of the PHP License, version 2.02 published by the PHP Group.    *
// *                                                                         *
// *   This software consists of voluntary contributions made by many        *
// *   individuals on behalf of the PHP Group.                               *
// *                                                                         *
// ***************************************************************************
//
// DEVELOPMENT HISTORY:
//
// Tue Nov 20 10:32:36 2001
//	letrehoztam - Rigo Erno
//
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

    // post-tal kapott uzenet(lista) imapos formara valo alakitasa    
    function mailsel2imaplist($mailsel){
	if(is_array($mailsel)) {
	    reset($mailsel); 
	    $res = implode (",",$mailsel); 
	    return $res;
	} else {
	    return $mailsel;
	};
    };

    function msgaction() {
	global	$SESS_MAILBOX,
		$SESS_USERID,
		$POST_MAILSEL,
		$POST_MSGACT_DELETE,
		$POST_MSGACT_MOVE,
		$POST_MSGACT_COPY,
		$POST_MSGACT_DESTFOLDER;
		
	$mbox=openmbox();	// box megnyitasa
	$sel=mailsel2imaplist($POST_MAILSEL);	  // post-tal kapott uzenet(lista) imapos formara valo alakitasa   

	if(isset($POST_MAILSEL)) {

	    if(isset($POST_MSGACT_DELETE)) { // torolni kell
		if($SESS_MAILBOX!="trash") { // ha nem a trashbol, csak mozgatunk
		    if(!imap_mail_move($mbox,$sel,"trash")) { // a torles... de igazabol mozgatas
			echo "<BR>maildel(movetotrash) fail! contact me!<BR>"; // nem sikerult
		    } else { // success volt
			imap_expunge($mbox);
			mboxstat("trash",true); // frissitjuk a mailbox cache-t
		    };
		} else { // ha pont a trashben vagyunk, onnan igazabol torlunk
		    if(!imap_delete($mbox,$sel)) { // a torles...
			echo "<BR>maildel fail! contact me!<BR>"; // nem sikerult
		    } else { // success volt
			imap_expunge($mbox);
		    };
		};
	    };

	    if(isset($POST_MSGACT_COPY)) { // masolni kell
		if(!imap_mail_copy($mbox,$sel,$POST_MSGACT_DESTFOLDER)) { // a torles...
		    echo "<BR>mailcopy fail! contact me!<BR>"; // nem sikerult
		};
		mboxstat($POST_MSGACT_DESTFOLDER,true); // frissitjuk a cache-t a celra
	    };

	    if(isset($POST_MSGACT_MOVE)) { // mozgatni kell
		if(!imap_mail_move($mbox,$sel,$POST_MSGACT_DESTFOLDER)) { // a torles...
		    echo "<BR>mailmove fail! contact me!<BR>"; // nem sikerult
		} else { // success volt
		    imap_expunge($mbox);
		};
		mboxstat($POST_MSGACT_DESTFOLDER,true); // frissitjuk a cache-t a celra
	    };

	};
    
	// azok a levelesdobozok, amik nem egyeznek az aktualissal (ide lehet masolni, athelyezni, stb.)
    	$db=connect();
	$qry=pg_exec($db,"select name,file from mailbox where not file='$SESS_MAILBOX' and userid='$SESS_USERID'");
	$row=0;
	while($res=@pg_fetch_object($qry,$row++)) {
	    if($res->file=="trash") $res->name=readskin("","","skin_name_trash.html");
	    if($res->file=="sent") $res->name=readskin("","","skin_name_sent.html");
	    if($res->file=="piszk") $res->name=readskin("","","skin_name_piszk.html");
	    if($res->file=="mbox") $res->name=readskin("","","skin_name_mbox.html");
	    $options.=readskin(array("|FILE|","|NAME|"),array($res->file,$res->name),"skin_msgaction_option.html");
	};
	
	return readskin(array("|OPTIONS|"),array($options),"skin_msgaction.html");
    };

?>
