<?php
// ***************************************************************************
// *   readmsg.php - level megtekintese                                      *
// *-------------------------------------------------------------------------*
// *   copyright  : (C) 2001 Erno Rigo                                       *
// *   email      :          mcree@freemail.hu                               *
// ***************************************************************************
//
// ***************************************************************************
// *                                                                         *
// *   This product includes PHP, freely available from http://www.php.net   *
// *                                                                         *
// *   This program is free software. Redistribution and use in source and   *
// *   binary forms, with or without modification is possible under the      *
// *   terms of the PHP License, version 2.02 published by the PHP Group.    *
// *                                                                         *
// *   This software consists of voluntary contributions made by many        *
// *   individuals on behalf of the PHP Group.                               *
// *                                                                         *
// ***************************************************************************
//
// DEVELOPMENT HISTORY:
//
// Wed Aug 01 15:48:21 2001
//	letrehoztam - Rigo Erno
//
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

    require_once("imap.php");

    function partlist($parts) {
	global	$SESS_MESSAGE;
	foreach($parts as $part) {
	    if($part->type!="ATTACHMENT") {
		$name=$part->type;
	    } else {
		$name=$part->name;
	    };
	    $body.=readskin(	array("|MSGID|","|PART_NAME|","|PART_SIZE|","|PART|"),
				array($SESS_MESSAGE,$name,byte2str($part->size),$part->part),
				"skin_readmsg_partlist_body.html");
	};
	return readskin(array("|BODY|"),array($body),"skin_readmsg_partlist.html");
    };
    
    function defaultpart($parts) { // choose default TEXT part
	$bestpart->type="UNKNOWN";
	foreach($parts as $part) {
	    if(($part->type=="TEXT/PLAIN") and ($bestpart->type!="TEXT/HTML")) $bestpart=$part;
	    if($part->type=="TEXT/HTML") $bestpart=$part;
	};
	return $bestpart;
    };
    
    function renderpart($mbox,$msg,$part) {
	switch($part->encoding) {
	    case "BASE64": 
		$body= imap_base64(imap_fetchbody($mbox,$msg,$part->part));
		break;
	    case "QPRINT": 
		$body= imap_qprint(imap_fetchbody($mbox,$msg,$part->part));
		break;
	    case "UNKNOWN":
		$body= imap_fetchbody($mbox,$msg,$part->part);
		break;
	};
	switch($part->type) {
	    case "TEXT/HTML":
		return $body;
	    default:
		return nl2br($body);
	};
    };

    function readmsg() {
	global	$PARTS,$READ_NUM,	// POST: az elolvasando uzenet sorszama a jelenlegi mailboxban
		$POST_REPLYMSG,
		$POST_PISZKMSG,
		$SESS_MAILBOX,
		$SESS_MAIL,	// a jelenleg kompozalando email
		$SESS_MESSAGE;	// session valtozo: a jelenleg olvasott uzenet azonositoja
		
	if(isset($READ_NUM)) $SESS_MESSAGE=$READ_NUM;	// ha megvaltozott az akt. uzenet, valtunk arra
	
	$mbox=openmbox();	// open the mailbox

	$msgaction=msgaction();		// ha csinalt valamit a levelekkel, hat csinalja, az akcio gombsort is ez adja vissza
	
	$nfo=msg_info($mbox,$SESS_MESSAGE); 
	
	$parts=extractparts(imap_fetchstructure($mbox,$SESS_MESSAGE),"");
	
	$defa=defaultpart($parts);
	
	$body=renderpart($mbox,$SESS_MESSAGE,$defa);
	
	msg_info($mbox,$SESS_MESSAGE,true);  // cache frissitese
	mboxstat($SESS_MAILBOX,true); // frissitjuk a cache-t a celra
	
	if(isset($POST_REPLYMSG)) {
	    $SESS_MAIL=NULL;
	    $SESS_MAIL->mailto=$nfo->from_unmod;
	    $SESS_MAIL->mailcc=$nfo->cc_unmod;
	    $SESS_MAIL->mailsubj="re: $nfo->subject";
	    $SESS_MAIL->mailbody="> ".ereg_replace("\n","\n> ",html2text($body));
	    return "<html><head><meta http-equiv=refresh content='0; url=?SHOW_BODY=email'></head>Please wait...</html>";
	};

	if(isset($POST_PISZKMSG)) {
	    $SESS_MAIL=NULL;
	    $SESS_MAIL->mailto=$nfo->to_unmod;
	    $SESS_MAIL->mailcc=$nfo->cc_unmod;
	    $SESS_MAIL->mailsubj=$nfo->subject;
	    $SESS_MAIL->mailbody=html2text($body);
	    return "<html><head><meta http-equiv=refresh content='0; url=?SHOW_BODY=email'></head>Please wait...</html>";
	};
	
    	return readskin(array("|MSGACTION|","|BODY|","|MAIL_NUM|","|MAIL_DATE|","|MAIL_TO|","|MAIL_FROM|","|MAIL_CC|","|MAIL_REPLYTO|","|MAIL_SUBJECT|","|MAIL_PARTS|"),
			array($msgaction,$body,$SESS_MESSAGE,$nfo->date,$nfo->to,$nfo->from,$nfo->cc,$nfo->reply_to,$nfo->subject,partlist($parts)),
			"skin_readmsg.html");
    };


?>
